版权说明:本文档由用户提供并上传,收益归属内容提供方,若内容存在侵权,请进行举报或认领
文档简介
1、CATIA V5 AutomationDetailed StepsSSAULTSSAULTSYSTEMESSYSTEMESCATIA TrainingVersion 5 Release 9June 2002EDU-CAT-E-VBA-FS-V5R9CATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 20023Table of ContentsViews.vbp . 3PartDesign.vbp . 5ShapeDesign.vbp . 8Assembly.vbp . 12Drafting.vbp . 15GetPoint.
2、vbp . 18TestSelections.vbp . 20CATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 20024Views.vbpOption ExplicitDim CATIA As INFITF.ApplicationDim myDoc As PartDocumentPrivate Sub Command1_Click()On Error Resume NextSet CATIA = GetObject(, CATIA.Application)If Err.Number 0 ThenSet CATIA = C
3、reateObject(CATIA.Application)CATIA.Visible = TrueEnd IfOn Error GoTo 0 Opening Bolt.CATPartDim myDir As StringmyDir = App.PathSet myDoc = CATIA.Documents.Open(myDir & Bolt.CATPart)Dim myViewer3 As Viewer3DDim myViewPoint As Viewpoint3D Getting the active ViewerSet myViewer3 = CATIA.ActiveWindow
4、.ActiveViewermyViewer3.RenderingMode = catRenderShadingDim myCam3d As Camera3DDim i As Integer Display the number of defined cameras.MsgBox myDoc.Cameras.CountCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 20025 Scaning all the cameras of the documentFor i = 1 To myDoc.Cameras.CountSet
5、 myCam3d = myDoc.Cameras.Item(i) Modifying the Viewpoint3D of the active viewermyViewer3.Viewpoint3D = myCam3d.Viewpoint3DmyViewer3.ReframemyViewer3.ZoomInmyViewer3.UpdateMsgBox myCam3d.NameNext Selecting the front cameraSet myCam3d = myDoc.Cameras.Item(* front)myViewer3.Viewpoint3D = myCam3d.Viewpo
6、int3D Saving the documentIf MsgBox(Save Bolt2, vbOKCancel) = vbOK ThenOn Error Resume NextKill (myDir & Bolt2.CATPart)Call myDoc.SaveAs(myDir & Bolt2.CATPart)Call myDoc.CloseOn Error GoTo 0End IfEnd SubCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 20026PartDesign.vbpOption Exp
7、licitDim CATIA As INFITF.ApplicationPrivate Sub Command1_Click()On Error Resume NextSet CATIA = GetObject(, CATIA.Application)If Err.Number 0 ThenSet CATIA = CreateObject(CATIA.Application)CATIA.Visible = TrueEnd IfOn Error GoTo 0 Creating a new PartDim MyDoc As PartDocumentSet MyDoc = CATIA.Documen
8、ts.Add(Part) Getting the default Body called MechanicalTool.1 (internal name)Dim myBody As BodySet myBody = MyDoc.Part.Bodies.Item(MechanicalTool.1) Activating the body as the InWorkObjectMyDoc.Part.InWorkObject = myBody Creating a reference on XY planeDim ReferencePlane As ReferenceSet ReferencePla
9、ne = MyDoc.Part.CreateReferenceFromGeometry(MyDoc.Part.OriginElements.PlaneXY) Creating mySketch1 on XY PlaneDim mySketch1 As SketchSet mySketch1 = myBody.Sketches.Add(ReferencePlane)CATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 20027 Opening mySketch1 and getting the factoryDim MyFac
10、tory1 As Factory2DSet MyFactory1 = mySketch1.OpenEdition() Creating 4 linesDim l1 As Line2DDim l2 As Line2DDim l3 As Line2DDim l4 As Line2DSet l1 = MyFactory1.CreateLine(10#, 10#, 10#, 30#)Set l2 = MyFactory1.CreateLine(10#, 30#, 40#, 30#)Set l3 = MyFactory1.CreateLine(40#, 30#, 40#, 10#)Set l4 = My
11、Factory1.CreateLine(40#, 10#, 10#, 10#)mySketch1.CloseEdition Creating mySketch2 on XY PlaneDim mySketch2 As SketchSet mySketch2 = myBody.Sketches.Add(ReferencePlane) Opening mySketch2 and getting the factoryDim MyFactory2 As Factory2DSet MyFactory2 = mySketch2.OpenEdition() Creating 1 CircleDim c1
12、As Circle2DSet c1 = MyFactory2.CreateClosedCircle(40#, 30#, 10#)mySketch2.CloseEdition Getting the shapeFactoryDim MyFact As ShapeFactorySet MyFact = MyDoc.Part.ShapeFactory Creating a padDim myPad As PadCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 20028Set myPad = MyFact.AddNewPad(m
13、ySketch1, 20) Creating a PocketDim myPok As PocketSet myPok = MyFact.AddNewPocket(mySketch2, -20)MyDoc.Part.Update Reframing the window on the partCATIA.ActiveWindow.ActiveViewer.ReframeEnd SubCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 20029ShapeDesign.vbpOption ExplicitDim CATIA A
14、s INFITF.ApplicationPrivate Sub Command1_Click()On Error Resume NextSet CATIA = GetObject(, CATIA.Application)If Err.Number 0 ThenSet CATIA = CreateObject(CATIA.Application)CATIA.Visible = TrueEnd IfOn Error GoTo 0Dim myPartDocument As PartDocumentSet myPartDocument = CATIA.Documents.Add(Part)Dim my
15、Part As PartSet myPart = myPartDocument.PartCreating an Open_body if not already existingOn Error Resume NextDim myHybridBody As HybridBodySet myHybridBody = myPart.HybridBodies.Item(Open_body.1)If myHybridBody Is Nothing ThenSet myHybridBody = myPart.HybridBodies.AddEnd IfOn Error GoTo 0Dim MyHSFac
16、t As HybridShapeFactorySet MyHSFact = myPart.HybridShapeFactorymyPart.Update Creating 6 PointsCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200210Dim HyPt1 As HybridShapePointCoordDim HyPt2 As HybridShapePointCoordDim HyPt3 As HybridShapePointCoordDim HyPt4 As HybridShapePointCoordDim
17、 HyPt5 As HybridShapePointCoordDim HyPt6 As HybridShapePointCoordSet HyPt1 = MyHSFact.AddNewPointCoord(10#, 60#, 30#)Set HyPt2 = MyHSFact.AddNewPointCoord(70#, 75#, 35#)Set HyPt3 = MyHSFact.AddNewPointCoord(100#, 80#, 30#)Set HyPt4 = MyHSFact.AddNewPointCoord(100#, 80#, 40#)Set HyPt5 = MyHSFact.AddN
18、ewPointCoord(95#, 20#, 45#)Set HyPt6 = MyHSFact.AddNewPointCoord(100#, 10#, 50#) Creating references on the pointsDim R1 As ReferenceDim R2 As ReferenceDim R3 As ReferenceDim R4 As ReferenceDim R5 As ReferenceDim R6 As ReferenceSet R1 = myPart.CreateReferenceFromGeometry(HyPt1)Set R2 = myPart.Create
19、ReferenceFromGeometry(HyPt2)Set R3 = myPart.CreateReferenceFromGeometry(HyPt3)Set R4 = myPart.CreateReferenceFromGeometry(HyPt4)Set R5 = myPart.CreateReferenceFromGeometry(HyPt5)Set R6 = myPart.CreateReferenceFromGeometry(HyPt6)Dim myControlPoint As HybridShapeControlPoint We can reuse the same vari
20、able: myControlPoint Creating first SplineDim HyLine1 As HybridShapeSplineSet HyLine1 = MyHSFact.AddNewSplineHyLine1.SetSplineType 0HyLine1.SetClosing 0 Adding the control pointsSet myControlPoint = MyHSFact.AddNewControlPoint(R1)CATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200211HyL
21、ine1.AddControlPoint myControlPointSet myControlPoint = MyHSFact.AddNewControlPoint(R2)HyLine1.AddControlPoint myControlPointSet myControlPoint = MyHSFact.AddNewControlPoint(R3)HyLine1.AddControlPoint myControlPoint Creating second SplineDim HyLine2 As HybridShapeSplineSet HyLine2 = MyHSFact.AddNewS
22、plineCall HyLine2.SetSplineType(0)Call HyLine2.SetClosing(0)Set myControlPoint = MyHSFact.AddNewControlPoint(R4)HyLine2.AddControlPoint myControlPointSet myControlPoint = MyHSFact.AddNewControlPoint(R5)HyLine2.AddControlPoint myControlPointSet myControlPoint = MyHSFact.AddNewControlPoint(R6)HyLine2.
23、AddControlPoint myControlPointDim Ref1 As ReferenceDim Ref2 As Reference Creating a SweepSet Ref1 = myPart.CreateReferenceFromGeometry(HyLine1)Set Ref2 = myPart.CreateReferenceFromGeometry(HyLine2)Dim HybridShapeSweepExplicit1 As HybridShapeSweepExplicitSet HybridShapeSweepExplicit1 = MyHSFact.AddNe
24、wSweepExplicit(Ref1, Ref2)myHybridBody.AppendHybridShape HyLine1myHybridBody.AppendHybridShape HyLine2myHybridBody.AppendHybridShape HybridShapeSweepExplicit1 Creating a 3D PointDim HyPt7 As HybridShapePointCoordSet HyPt7 = MyHSFact.AddNewPointCoord(50#, 30#, 100#)myHybridBody.AppendHybridShape HyPt
25、7CATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200212 Creating the projection of HyPt7 on the surface HybridShapeSweepExplicit1Dim Ref3 As ReferenceDim Ref4 As ReferenceSet Ref3 = myPart.CreateReferenceFromGeometry(HyPt7)Set Ref4 = myPart.CreateReferenceFromGeometry(HybridShapeSweepEx
26、plicit1)Dim HybridShapeProject1 As HybridShapeProjectSet HybridShapeProject1 = MyHSFact.AddNewProject(Ref3, Ref4)myHybridBody.AppendHybridShape HybridShapeProject1myPart.UpdateEnd SubCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200213Assembly.vbpOption ExplicitDim CATIA As ObjectPriv
27、ate Sub Command1_Click()Dim i As IntegerReDim myNames(1) As StringOn Error Resume NextSet CATIA = GetObject(, CATIA.Application)If Err.Number 0 ThenSet CATIA = CreateObject(CATIA.Application)CATIA.Visible = TrueEnd IfOn Error GoTo 0Dim myDir As StringmyDir = App.Path Creating the root productDim Tit
28、anic As ProductDocumentSet Titanic = CATIA.Documents.Add(Product) Creating the hull at level 1myNames(0) = myDir + Hull.CATPartCall Titanic.Product.Products.AddComponentsFromFiles(myNames, *)Titanic.Product.PartNumber = TitanicDim assy1 As Product Creating sub-product ass1 at level 1New Product not
29、associated with a ProductDocument fileSet assy1 = Titanic.Product.Products.AddNewProduct(ass1) Creating the Castle under ass1 at level 2myNames(0) = myDir + Castle.CATPartCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200214Call assy1.Products.AddComponentsFromFiles(myNames, *) Creatin
30、g the Funnel under ass1 at level 2myNames(0) = myDir + Funnel.CATPartCall assy1.Products.AddComponentsFromFiles(myNames, *)Titanic.Product.UpdateDim Ass1RefProduct As ProductSet Ass1RefProduct = assy1.ReferenceProduct Creating 2nd instance of subproduct ass1 at level 1Dim Product2 As ProductSet Prod
31、uct2 = Titanic.Product.Products.AddComponent(Ass1RefProduct)Creating the transformation matrixReDim var1(11)var1(0) = 1#var1(1) = 0#var1(2) = 0#var1(3) = 0#var1(4) = 1#var1(5) = 0#var1(6) = 0#var1(7) = 0#var1(8) = 1#var1(9) = 60# translation along Xvar1(10) = 0# translation along Yvar1(11) = 0# tran
32、slation along Z Moving the instanceProduct2.Move.Apply var1 Creating 3rd instance of ass1 at level 1Dim Product3 As ProductSet Product3 = Titanic.Product.Products.AddComponent(Ass1RefProduct)CATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200215var1(9) = 120# translation along X Moving
33、the instanceProduct3.Move.Apply var1 Creating the Bill Of Material in the file TitanicBOM.txtCall Titanic.Product.ExtractBOM(catFileTypeText, myDir & TitanicBOM.txt)End SubCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200216Drafting.vbpOption ExplicitDim CATIA As INFITF.Applicatio
34、nPrivate Sub Command1_Click()Dim i As IntegerOn Error Resume NextSet CATIA = GetObject(, CATIA.Application)If Err.Number 0 ThenSet CATIA = CreateObject(CATIA.Application)CATIA.Visible = TrueEnd IfDim myDir As StringmyDir = App.Path Opening Bolt.CATPart fileDim MyPartDoc As PartDocumentSet MyPartDoc
35、= CATIA.Documents.Open(myDir & Bolt.CATPart) Opening TitleBlock.CATDrawing fileDim MyDrawDoc As DrawingDocumentSet MyDrawDoc = CATIA.Documents.Open(myDir & TitleBlock.CATDrawing)Dim mySheet As DrawingSheetSet mySheet = MyDrawDoc.Sheets.ActiveSheet Creating the first view (Front View)Dim myVi
36、ew1 As DrawingViewSet myView1 = mySheet.Views.Add(Front View)Call myView1.Activate Translating the front view (A0: 840mm X 1188mm)CATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200217myView1.x = 400myView1.y = 150 Defining the front viewDim myGeneB1 As DrawingViewGenerativeBehaviorSet
37、myGeneB1 = myView1.GenerativeBehaviormyGeneB1.Document = MyPartDocCall myGeneB1.DefineFrontView(1#, 0#, 0#, 0#, 1#, 0#) Creating a circleCall myView1.ActivateDim myFact1 As Factory2DSet myFact1 = myView1.Factory2DDim c1 As Circle2DSet c1 = myFact1.CreateClosedCircle(30, 30, 10)myGeneB1.Update Creati
38、ng the second view (Top View)Dim myView2 As DrawingViewSet myView2 = mySheet.Views.Add(Top View) Translating the top viewmyView2.x = 400myView2.y = 600 Defining the Projection viewDim myGeneB2 As DrawingViewGenerativeBehaviorSet myGeneB2 = myView2.GenerativeBehaviorCall myGeneB2.DefineProjectionView
39、(myGeneB1, catTopView)myGeneB2.Document = MyPartDoc Creating a circleCall myView2.ActivateDim myFact2 As Factory2DSet myFact2 = myView2.Factory2DCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200218Dim c2 As Circle2DSet c2 = myFact2.CreateClosedCircle(30, 30, 20)myGeneB2.UpdateMyDrawDo
40、c.UpdateEnd SubCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200219GetPoint.vbpClass1.clslocal variable(s) to hold property value(s)Private mvarX As Double local copyPrivate mvarY As Double local copyPrivate mvarZ As Double local copyPublic Sub Start()Dim f As New Form1 Setting the de
41、fault HScroll valuesf.HScroll1.Value = mvarXf.HScroll2.Value = mvarYf.HScroll3.Value = mvarZ Display the form window and Wait until the user click OK.f.Show vbModal Getting the HScroll valuesmvarX = f.HScroll1.ValuemvarY = f.HScroll2.ValuemvarZ = f.HScroll3.ValueSet f = NothingEnd SubPublic Property
42、 Let X(ByVal vData As Double)mvarX = vDataEnd PropertyPublic Property Get X() As DoubleX = mvarXEnd PropertyCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200220Public Property Let Y(ByVal vData As Double) mvarY = vDataEnd PropertyPublic Property Get Y() As DoubleY = mvarYEnd PropertyP
43、ublic Property Let Z(ByVal vData As Double) mvarZ = vDataEnd PropertyPublic Property Get Z() As DoubleZ = mvarZEnd PropertyForm1.frmPrivate Sub HScroll1_Change()Label4.Caption = Str(HScroll1.Value)End SubPrivate Sub HScroll2_Change()Label5.Caption = Str(HScroll2.Value)End SubPrivate Sub HScroll3_Cha
44、nge()Label6.Caption = Str(HScroll3.Value)End SubPrivate Sub OK_Click()Me.HideEnd SubCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200221TestSelections.vbpOption ExplicitPrivate Declare Function SetWindowPos Lib user32 (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long
45、,ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As LongPrivate Const SWP_NOMOVE = &H2Private Const SWP_NOSIZE = &H1Private Const HWND_TOPMOST = -1Private Const HWND_NOTOPMOST = -2Dim xPt1 As Point2DDim xPt2 As Point2DDim xLine1 As Line2DDim xPt3d1 As PointDim xPt3
46、d2 As PointDim CATIA As ObjectDim xSel As INFITF.SelectionPrivate Sub Command1_Click()ReDim Coord1(1) As VariantOn Error Resume Next Getting the first 2D PointSet xSel = CATIA.ActiveDocument.SelectionSet xPt1 = xSel.FindObject(CATIAPoint2D)If Err = 0 Then Display the CATIAPoint2D name and coordinate
47、sxPt1.GetCoordinates Coord1Text1.Text = xPt1.Name & ( & Coord1(0) & , & Coord1(1) & )End IfEnd SubPrivate Sub Command2_Click()ReDim Coord2(1) As VariantCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200222On Error Resume Next Getting the second 2D PointSet xSel = CA
48、TIA.ActiveDocument.SelectionSet xPt2 = xSel.FindObject(CATIAPoint2D)If Err = 0 Then Display the Point name and its coordinatesxPt2.GetCoordinates Coord2Text2 = xPt2.Name & ( & Coord2(0) & , & Coord2(1) & )End IfEnd SubPrivate Sub Command3_Click()On Error Resume Next Getting a 2D
49、LineSet xSel = CATIA.ActiveDocument.SelectionSet xLine1 = xSel.FindObject(CATIALine2D)If Err = 0 Then Display the 2D Line nameText3 = xLine1.NameEnd IfEnd SubCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200223Private Sub Command4_Click() Create 3 lines : - from xPt1 to xpt2 - from xP
50、t1 to StartPoint of xLine1 - from xPt1 to EndPoint of xLine1Dim r1 As INFITF.ReferenceDim r2 As INFITF.ReferenceDim xPt3Dim xPt4Dim l1, l2, l3 As Line2DReDim Coord1(1) As VariantReDim Coord2(1) As VariantReDim Coord3(1) As VariantReDim Coord4(1) As VariantOn Error Resume NextxPt1.GetCoordinates Coor
51、d1xPt2.GetCoordinates Coord2Set xPt3 = xLine1.StartPointxPt3.GetCoordinates Coord3Set xPt4 = xLine1.EndPointxPt4.GetCoordinates Coord4Dim d As DrawingDocument or PartDocumentDim f As Factory2DDim n As StringCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200224 Testing if those 2D eleme
52、nts are in a drawing or in a sketchSet d = CATIA.Application.ActiveDocumentIf TypeName(d) = PartDocument Then We are in a sketchDim sk As Sketch Getting the Factory2D and creating linesSet sk = xPt1.Parent.ParentSet f = sk.Factory2Dl1 = f.CreateLine(Coord1(0), Coord1(1), Coord2(0), Coord2(1)l2 = f.C
53、reateLine(Coord1(0), Coord1(1), Coord3(0), Coord3(1)l3 = f.CreateLine(Coord1(0), Coord1(1), Coord4(0), Coord4(1)ElseIf TypeName(d) = DrawingDocument Then We are in a drawingDim v As DrawingView Getting the Factory2D and creating linesSet v = d.Sheets.ActiveSheet.Views.ActiveViewSet f = v.Factory2Dl1
54、 = f.CreateLine(Coord1(0), Coord1(1), Coord2(0), Coord2(1)l2 = f.CreateLine(Coord1(0), Coord1(1), Coord3(0), Coord3(1)l3 = f.CreateLine(Coord1(0), Coord1(1), Coord4(0), Coord4(1)End IfEnd SubPrivate Sub Command7_Click() Creating a line in the 3D space.Dim r1 As INFITF.ReferenceDim r2 As INFITF.Refer
55、enceDim Line3d1Dim d As PartDocumentDim dd As DrawingDocumentDim p As PartDim b As BodyDim hb As HybridBodyDim f As ShapeFactoryDim fh As HybridShapeFactoryDim f2d As Factory2DDim n As StringDim typdoc As StringOn Error Resume NextSet xSel = CATIA.ActiveDocument.Selection Getting first pointCATIA V5 AutomationDetailed StepsCOPYRIGHT DASSAULT SYSTEMES 200225Set xPt3d1 = xSel.FindObject(CATIAHybridShapePoint)If Err = 0 Then Getting second pointSet xPt3d2 = xSel.FindObject(CATIAHybridShapePoint)End IfIf Err 0 ThenMsgBox Select two Points in the
温馨提示
- 1. 本站所有资源如无特殊说明,都需要本地电脑安装OFFICE2007和PDF阅读器。图纸软件为CAD,CAXA,PROE,UG,SolidWorks等.压缩文件请下载最新的WinRAR软件解压。
- 2. 本站的文档不包含任何第三方提供的附件图纸等,如果需要附件,请联系上传者。文件的所有权益归上传用户所有。
- 3. 本站RAR压缩包中若带图纸,网页内容里面会有图纸预览,若没有图纸预览就没有图纸。
- 4. 未经权益所有人同意不得将文件中的内容挪作商业或盈利用途。
- 5. 人人文库网仅提供信息存储空间,仅对用户上传内容的表现方式做保护处理,对用户上传分享的文档内容本身不做任何修改或编辑,并不能对任何下载内容负责。
- 6. 下载文件中如有侵权或不适当内容,请与我们联系,我们立即纠正。
- 7. 本站不保证下载资源的准确性、安全性和完整性, 同时也不承担用户因使用这些下载资源对自己和他人造成任何形式的伤害或损失。
最新文档
- 2024年繁华商圈店铺租赁合同3篇
- 2024年跨国保险业务分销合同
- 2024年版:项目合作风险共担协议
- 2024黄山旅游纪念品设计合同
- 2025年度大理石石材进出口贸易承包合同规范3篇
- 2024艺术品代理销售与艺术品展览策划合同3篇
- 2024蔬菜产地直供与电商平台合作意向协议书3篇
- 2025年度物业费收取与调整协议3篇
- 2024甲乙双方共建智慧城市战略合作合同
- 西南大学《特殊儿童运动康复》2023-2024学年第一学期期末试卷
- 2025年中联重科公司发展战略和经营计划
- Unit8 Chinese New Year 第一课时(说课稿)-2024-2025学年译林版(三起)英语六年级上册
- 半结构化面试题100题
- 服装厂班组长培训
- 2024-2030年中国钢结构行业发展需求及投资规划分析报告版
- 广东省公立医疗机构基本医疗服务价格项目修订表
- 《激光原理及应用》全套课件
- 2022年河南省公务员录用考试《行测》真题及答案解析
- 北京市海淀区2023-2024学年高三上学期期末考试+历史 含答案
- 急诊心律失常的治疗
- 2024ESC心房颤动管理指南解读
评论
0/150
提交评论